---
kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: golang
    commands:
      - go build -o ett ./
  - name: docker
    image: plugins/docker
    settings:
      repo: kekskurse/ett
      username: kekskurse
      password:
        from_secret: docker_password